Bug 697741 - (CVE-2011-1590) CVE-2011-1590 Wireshark: Use-after-free causes heap-based buffer overflow in X.509if dissector
CVE-2011-1590 Wireshark: Use-after-free causes heap-based buffer overflow in ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110415,reported=20110415,sou...
: Security
Depends On: 697747 809045 809046
Blocks: 807617
  Show dependency treegraph
 
Reported: 2011-04-19 01:23 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 13:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-04-19 01:23:31 EDT
A Use-after-free flaw causing a heap-based buffer overflow was found in the 
X.509if dissector of Wireshark 1.2.0 to 1.2.15 and 1.4.0 to 1.4.4. 

A remote attacker could use this flaw to cause wireshark executable
to crash or, potentially, execute arbitrary code with the privileges
of the user running wireshark.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5754
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5793

Patch:
http://anonsvn.wireshark.org/viewvc?revision=36608&view=revision
Comment 1 Huzaifa S. Sidhpurwala 2011-04-19 01:49:57 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 697747]
Comment 3 Huzaifa S. Sidhpurwala 2011-05-03 06:34:40 EDT
This issue was addressed in Fedora 14 and Fedora 15 via:

https://admin.fedoraproject.org/updates/wireshark-1.4.6-1.fc14
https://admin.fedoraproject.org/updates/wireshark-1.4.6-1.fc15
Comment 6 errata-xmlrpc 2012-04-23 12:52:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 8 Ján Rusnačko 2015-10-23 10:53:06 EDT
Statement:

This issue does not affect the version of wireshark package as shipped with Red Hat Enterprise Linux 4 and 5. This issue was fixed in Red Hat Enterprise Linux 6 via RHSA-2012:0509.

Note You need to log in before you can comment on or make changes to this bug.